Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0022281
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminoralways2012-11-13 12:452013-01-31 16:11
ReporterVictorVillarView Statuspublic 
Assigned Todmiguelez 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision4d03c393f5bc
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned ToVictorVillar
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0022281: Process log shows wrong information when you launch the Acct Server process

DescriptionProcess log shows wrong information when you launch the Acct Server process.

It shows that no register have been posted (created: 0) but really this is not true because is working fine.
Steps To ReproduceAs group admin role,
Go to process request and unschedule any Acct Server process.
Go to Sales invoice,
  Create a new register
Complete it.

Go to process request and schedule the Acct server process and run it inmediatly.

Go to process Monitor window and select the corresponding register, and realise that Sales invoices: Created = 0. But if you go to Sales invoice window you realise that the invoice created before is posted fine.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0055756)
hgbot (developer)
2013-01-23 11:13

Repository: erp/devel/pi
Changeset: 4d03c393f5bc667350c460726fb8cf0871e2d174
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Jan 22 17:49:57 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/4d03c393f5bc667350c460726fb8cf0871e2d174 [^]

Fixes Issue 22281. When creating a new instance of AcctServer
the global variables where lost and no results retrieved.

---
M src/org/openbravo/erpCommon/ad_forms/AcctServer.java
---
(0055757)
dmiguelez (developer)
2013-01-23 11:20

Testing Plan:

1. Stop the Accounting Background Process.
  - In Process Request Window, select the Accounting Background Process and Unschedule it.

2. Create a new Document, for example a Sales Invoice and Complete it.

3. Reschedule the Accounting Background Process.

4. In Process Monitor Window, select the last execution of the Accounting Background Process and verify that there is at least one line that says Created=1 (or any value >0)
(0055786)
hudsonbot (developer)
2013-01-24 04:59

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c7e708c0b53e [^]

Maturity status: Test
(0056016)
VictorVillar (developer)
2013-01-31 16:11

Verified

- Issue History
Date Modified Username Field Change
2012-11-13 12:45 VictorVillar New Issue
2012-11-13 12:45 VictorVillar Assigned To => dmiguelez
2012-11-13 12:45 VictorVillar Modules => Core
2012-11-13 12:45 VictorVillar Issue Monitored: networkb
2012-11-13 13:04 dmiguelez Assigned To dmiguelez => jonalegriaesarte
2013-01-22 12:06 jonalegriaesarte Assigned To jonalegriaesarte => dmiguelez
2013-01-23 11:13 hgbot Checkin
2013-01-23 11:13 hgbot Note Added: 0055756
2013-01-23 11:13 hgbot Status new => resolved
2013-01-23 11:13 hgbot Resolution open => fixed
2013-01-23 11:13 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/4d03c393f5bc667350c460726fb8cf0871e2d174 [^]
2013-01-23 11:20 dmiguelez Note Added: 0055757
2013-01-24 04:59 hudsonbot Checkin
2013-01-24 04:59 hudsonbot Note Added: 0055786
2013-01-31 16:11 VictorVillar Review Assigned To => VictorVillar
2013-01-31 16:11 VictorVillar Note Added: 0056016
2013-01-31 16:11 VictorVillar Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker